# This file created by conda-build 3.21.8
# ------------------------------------------------

package:
  name: modin-core
  version: 0.15.2
source:
  patches:
    - patches/0001-Remove-some-dependencies-from-omnisci-env.yml-to-be-.patch
    - patches/0002-Remove-dependencies-from-setup.py-to-be-handled-by-c.patch
  sha256: 576e17fa06622105be9cc57faa319c5e4a918a0ec456cedcb4ec03f16f72ada5
  url: https://github.com/modin-project/modin/archive/refs/tags/0.15.2.tar.gz
build:
  number: 0
  script: python -m pip install . --no-deps --ignore-installed -vv
  string: py39hecd8cb5_0
requirements:
  host:
    - ca-certificates 2022.07.19 hecd8cb5_0
    - certifi 2022.6.15 py39hecd8cb5_0
    - libcxx 12.0.0 h2f01273_0
    - libffi 3.3 hb1e8313_2
    - ncurses 6.3 hca72f7f_3
    - openssl 1.1.1q hca72f7f_0
    - pip 22.1.2 py39hecd8cb5_0
    - python 3.9.12 hdfd78df_1
    - readline 8.1.2 hca72f7f_1
    - setuptools 61.2.0 py39hecd8cb5_0
    - sqlite 3.38.5 h707629a_0
    - tk 8.6.12 h5d9f67b_0
    - tzdata 2022a hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 hca72f7f_1
    - zlib 1.2.12 h4dc903c_2
  run:
    - fsspec
    - numpy >=1.18.5
    - packaging
    - pandas ==1.4.3
    - psutil
    - python >=3.9,<3.10.0a0
    - setuptools
test:
  commands:
    - pip check
  imports:
    - modin
    - modin.pandas
  requires:
    - pip
about:
  dev_url: https://github.com/modin-project/modin
  doc_url: https://modin.readthedocs.io/
  home: https://github.com/modin-project/modin
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: Speed up your Pandas workflows by changing a single line of code
extra:
  copy_test_source_files: true
  feedstock-name: modin
  final: true
  flow_run_id: ff639033-9c30-4871-a439-7df7130e10de
  recipe-maintainers:
    - devin-petersohn
    - h-vetinari
    - maksimbo1
    - vnlitvinov
  remote_url: git@github.com:AnacondaRecipes/modin-feedstock.git
  sha: 2d3947eed0984fbeec195512815647cf8ff55731
